Subject: Re: bug#21666: 25.0.50; Random segfaults

From: Eli Zaretskii <[email-masked]>
Date: Fri, 16 Oct 2015 12:03:12 +0300

> From: Paul Eggert <[email-masked]>
> Date: Fri, 16 Oct 2015 01:05:22 -0700
> 
> Jorgen Schäfer wrote:
> > And another one, this time in the same location as emacs-bug-2. mapcar's
> > leni=2682, so not that much larger.
> 
> Yes, it's looking like my guess at the problem was incorrect, unfortunately.

Do I read the backtrace correctly to indicate that Fabs was called
with an argument that is a symbol, not a number?  If so, how could it
possibly evade the CHECK_NUMBER_OR_FLOAT test just before XFLOAT?

That sounds similar to a problem Cygwin users had, whereby some system
code invoked by a signal handler or another thread (and which thus
interrupted Emacs between the test and the use of the value) didn't
preserve registers correctly.

Is there any other explanation?